vault {
  address = "{{ easytls_vault_address }}"
  renew_token = true
  token = "{{ easytls_vault_token }}"
  retry {
    enabled = true
    attempts = 0
    backoff = "5000ms"
  }
  ssl {
    verify = {{ easytls_vault_ssl_verify | string | lower }}
  }
}
template {
  left_delimiter = "[["
  right_delimiter = "]]"
  contents = "[[- with secret \"pki_int/issue/{{ easytls_vault_role }}\"
    {%- if easytls_common_name is defined %} \"common_name={{ easytls_common_name }}\"
    {%- endif %}
    {%- if easytls_ttl is defined %} \"ttl={{ easytls_ttl }}\"
    {%- endif %}
    {%- if easytls_alt_names is defined %} \"alt_names=
    {%- for alt_name in easytls_alt_names %}
      {{- alt_name }}
    {%- if not loop.last %},{% endif %}
    {%- endfor %}\"
    {%- endif %}
    {%- if easytls_ip_sans is defined %} \"ip_sans=
    {%- for ip_san in easytls_ip_sans %}
      {{- ip_san }}
    {%- if not loop.last %},{% endif %}
    {%- endfor %}\"
    {%- endif %} -]]\n[[ .Data.certificate ]]\n[[ .Data.issuing_ca ]][[ end ]]"
  destination = "{{ easytls_certs_dir }}/{{ easytls_cert }}.pem"
  perms = "0640"
  command = "{{ easytls_scripts_dir }}/reload_commands_{{ easytls_cert }}.sh"
}
template {
  left_delimiter = "[["
  right_delimiter = "]]"
  contents = "[[- with secret \"pki_int/issue/{{ easytls_vault_role }}\"
    {%- if easytls_common_name is defined %} \"common_name={{ easytls_common_name }}\"
    {%- endif %}
    {%- if easytls_ttl is defined %} \"ttl={{ easytls_ttl }}\"
    {%- endif %}
    {%- if easytls_alt_names is defined %} \"alt_names=
    {%- for alt_name in easytls_alt_names %}
      {{- alt_name }}
    {%- if not loop.last %},{% endif %}
    {%- endfor %}\"
    {%- endif %}
    {%- if easytls_ip_sans is defined %} \"ip_sans={%
    for ip_san in easytls_ip_sans %}
      {{- ip_san }}
    {%- if not loop.last %},{% endif %}
    {%- endfor %}\"
    {%- endif %} -]]\n[[ .Data.private_key ]][[ end ]]"
  destination = "{{ easytls_certs_dir }}/{{ easytls_cert }}.key"
  perms = "0640"
  command = "{{ easytls_scripts_dir }}/reload_commands_{{ easytls_cert }}.sh"
}
template {
  left_delimiter = "[["
  right_delimiter = "]]"
  contents = "[[- with secret \"pki_int/cert/ca_chain\" -]]\n[[ .Data.ca_chain ]][[end]]"
  destination = "{{ easytls_certs_dir }}/{{ easytls_vault_role }}_ca_chain.pem"
  perms = "0640"
  command = "{{ easytls_scripts_dir }}/reload_commands_{{ easytls_cert }}.sh"
}
